## vice 2.4.dfsg+2.4.20

=== src/lib/libffmpeg/Makefile ===
COMPAT_SOURCE_FILES = \
	compat/msvcrt/snprintf.c \
	compat/plan9/main.c \
	compat/getopt.c \
	compat/strtod.c

COMPAT_HEADER_FILES = \
	compat/aix/math.h \
	compat/avisynth/avisynth_c.h \
	compat/avisynth/avisynth_c_25.h \
	compat/avisynth/avxsynth_c.h \
	compat/avisynth/windowsPorts/basicDataTypeConversions.h \
	compat/avisynth/windowsPorts/windows2linux.h \
	compat/float/float.h \
	compat/float/limits.h \
	compat/msvcrt/snprintf.h \
	compat/tms470/math.h \
	compat/os2threads.h \
	compat/va_copy.h \
	compat/w32pthreads.h

COMPAT_EXTRA_FILES = \
	compat/plan9/head \
	compat/plan9/printf \
	compat/windows/makedef

DOX_FILES = \
	doc/examples/avio_reading.c \
	doc/examples/decoding_encoding.c \
	doc/examples/demuxing_decoding.c \
	doc/examples/extract_mvs.c \
	doc/examples/filter_audio.c \
	doc/examples/filtering_audio.c \
	doc/examples/filtering_video.c \
	doc/examples/Makefile \
	doc/examples/metadata.c \
	doc/examples/muxing.c \
	doc/examples/README \
	doc/examples/remuxing.c \
	doc/examples/resampling_audio.c \
	doc/examples/scaling_video.c \
	doc/examples/transcode_aac.c \
	doc/examples/transcoding.c \
	doc/APIchanges \
	doc/authors.texi \
	doc/bitstream_filters.texi \
	doc/bootstrap.min.css \
	doc/build_system.txt \
	doc/codecs.texi \
	doc/decoders.texi \
	doc/default.css \
	doc/demuxers.texi \
	doc/developer.texi \
	doc/devices.texi \
	doc/Doxyfile \
	doc/doxy-wrapper.sh \
	doc/encoders.texi \
	doc/errno.txt \
	doc/faq.texi \
	doc/fate.texi \
	doc/fate_config.sh.template \
	doc/ffmpeg.texi \
	doc/ffmpeg.txt \
	doc/ffmpeg-bitstream-filters.texi \
	doc/ffmpeg-codecs.texi \
	doc/ffmpeg-devices.texi \
	doc/ffmpeg-filters.texi \
	doc/ffmpeg-formats.texi \
	doc/ffmpeg-protocols.texi \
	doc/ffmpeg-resampler.texi \
	doc/ffmpeg-scaler.texi \
	doc/ffmpeg-utils.texi \
	doc/ffplay.texi \
	doc/ffprobe.texi \
	doc/ffprobe.xsd \
	doc/ffserver.conf \
	doc/ffserver.texi \
	doc/fftools-common-opts.texi \
	doc/filter_design.txt \
	doc/filters.texi \
	doc/formats.texi \
	doc/general.texi \
	doc/git-howto.texi \
	doc/indevs.texi \
	doc/issue_tracker.txt \
	doc/libavcodec.texi \
	doc/libavdevice.texi \
	doc/libavfilter.texi \
	doc/libavformat.texi \
	doc/libavutil.texi \
	doc/libswresample.texi \
	doc/libswscale.texi \
	doc/Makefile \
	doc/metadata.texi \
	doc/mips.txt \
	doc/multithreading.txt \
	doc/muxers.texi \
	doc/nut.texi \
	doc/optimization.txt \
	doc/outdevs.texi \
	doc/platform.texi \
	doc/print_options.c \
	doc/protocols.texi \
	doc/rate_distortion.txt \
	doc/resampler.texi \
	doc/scaler.texi \
	doc/snow.txt \
	doc/style.min.css \
	doc/swresample.txt \
	doc/swscale.txt \
	doc/t2h.init \
	doc/t2h.pm \
	doc/tablegen.txt \
	doc/texi2pod.pl \
	doc/texidep.pl \
	doc/utils.texi \
	doc/writing_filters.txt

LIBAVCODEC_SOURCE_FILES = \
	libavcodec/aarch64/fft_init_aarch64.c \
	libavcodec/aarch64/h264chroma_init_aarch64.c \
	libavcodec/aarch64/h264dsp_init_aarch64.c \
	libavcodec/aarch64/h264qpel_init_aarch64.c \
	libavcodec/aarch64/hpeldsp_init_aarch64.c \
	libavcodec/aarch64/mpegaudiodsp_init.c \
	libavcodec/aarch64/neontest.c \
	libavcodec/aarch64/opus_imdct_init.c \
	libavcodec/aarch64/rv40dsp_init_aarch64.c \
	libavcodec/aarch64/vc1dsp_init_aarch64.c \
	libavcodec/aarch64/videodsp_init.c \
	libavcodec/aarch64/vorbisdsp_init.c \
	libavcodec/alpha/blockdsp_alpha.c \
	libavcodec/alpha/hpeldsp_alpha.c \
	libavcodec/alpha/idctdsp_alpha.c \
	libavcodec/alpha/me_cmp_alpha.c \
	libavcodec/alpha/mpegvideo_alpha.c \
	libavcodec/alpha/pixblockdsp_alpha.c \
	libavcodec/alpha/simple_idct_alpha.c \
	libavcodec/arm/aacpsdsp_init_arm.c \
	libavcodec/arm/ac3dsp_init_arm.c \
	libavcodec/arm/audiodsp_init_arm.c \
	libavcodec/arm/audiodsp_init_neon.c \
	libavcodec/arm/blockdsp_init_arm.c \
	libavcodec/arm/blockdsp_init_neon.c \
	libavcodec/arm/dcadsp_init_arm.c \
	libavcodec/arm/dct-test.c \
	libavcodec/arm/fft_fixed_init_arm.c \
	libavcodec/arm/fft_init_arm.c \
	libavcodec/arm/flacdsp_init_arm.c \
	libavcodec/arm/fmtconvert_init_arm.c \
	libavcodec/arm/h264chroma_init_arm.c \
	libavcodec/arm/h264dsp_init_arm.c \
	libavcodec/arm/h264pred_init_arm.c \
	libavcodec/arm/h264qpel_init_arm.c \
	libavcodec/arm/hpeldsp_init_arm.c \
	libavcodec/arm/hpeldsp_init_armv6.c \
	libavcodec/arm/hpeldsp_init_neon.c \
	libavcodec/arm/idctdsp_init_arm.c \
	libavcodec/arm/idctdsp_init_armv5te.c \
	libavcodec/arm/idctdsp_init_armv6.c \
	libavcodec/arm/idctdsp_init_neon.c \
	libavcodec/arm/lossless_audiodsp_init_arm.c \
	libavcodec/arm/me_cmp_init_arm.c \
	libavcodec/arm/mlpdsp_init_arm.c \
	libavcodec/arm/mpegaudiodsp_init_arm.c \
	libavcodec/arm/mpegvideo_arm.c \
	libavcodec/arm/mpegvideo_armv5te.c \
	libavcodec/arm/mpegvideoencdsp_init_arm.c \
	libavcodec/arm/neontest.c \
	libavcodec/arm/pixblockdsp_init_arm.c \
	libavcodec/arm/rv34dsp_init_arm.c \
	libavcodec/arm/rv40dsp_init_arm.c \
	libavcodec/arm/sbrdsp_init_arm.c \
	libavcodec/arm/vc1dsp_init_arm.c \
	libavcodec/arm/vc1dsp_init_neon.c \
	libavcodec/arm/videodsp_init_arm.c \
	libavcodec/arm/videodsp_init_armv5te.c \
	libavcodec/arm/vorbisdsp_init_arm.c \
	libavcodec/arm/vp3dsp_init_arm.c \
	libavcodec/arm/vp6dsp_init_arm.c \
	libavcodec/arm/vp8dsp_init_arm.c \
	libavcodec/arm/vp8dsp_init_armv6.c \
	libavcodec/arm/vp8dsp_init_neon.c \
	libavcodec/mips/aaccoder_mips.c \
	libavcodec/mips/aacdec_mips.c \
	libavcodec/mips/aacpsdsp_mips.c \
	libavcodec/mips/aacsbr_mips.c \
	libavcodec/mips/ac3dsp_mips.c \
	libavcodec/mips/acelp_filters_mips.c \
	libavcodec/mips/acelp_vectors_mips.c \
	libavcodec/mips/amrwbdec_mips.c \
	libavcodec/mips/celp_filters_mips.c \
	libavcodec/mips/celp_math_mips.c \
	libavcodec/mips/fft_mips.c \
	libavcodec/mips/fmtconvert_mips.c \
	libavcodec/mips/iirfilter_mips.c \
	libavcodec/mips/mpegaudiodsp_mips_fixed.c \
	libavcodec/mips/mpegaudiodsp_mips_float.c \
	libavcodec/mips/sbrdsp_mips.c \
	libavcodec/neon/mpegvideo.c \
	libavcodec/ppc/audiodsp.c \
	libavcodec/ppc/blockdsp.c \
	libavcodec/ppc/dct-test.c \
	libavcodec/ppc/fdctdsp.c \
	libavcodec/ppc/fft_init.c \
	libavcodec/ppc/fft_vsx.c \
	libavcodec/ppc/fmtconvert_altivec.c \
	libavcodec/ppc/h264chroma_init.c \
	libavcodec/ppc/h264chroma_template.c \
	libavcodec/ppc/h264dsp.c \
	libavcodec/ppc/h264qpel.c \
	libavcodec/ppc/h264qpel_template.c \
	libavcodec/ppc/hpeldsp_altivec.c \
	libavcodec/ppc/huffyuvdsp_altivec.c \
	libavcodec/ppc/idctdsp.c \
	libavcodec/ppc/lossless_audiodsp_altivec.c \
	libavcodec/ppc/me_cmp.c \
	libavcodec/ppc/mpegaudiodsp_altivec.c \
	libavcodec/ppc/mpegvideo_altivec.c \
	libavcodec/ppc/mpegvideodsp.c \
	libavcodec/ppc/mpegvideoencdsp.c \
	libavcodec/ppc/pixblockdsp.c \
	libavcodec/ppc/svq1enc_altivec.c \
	libavcodec/ppc/vc1dsp_altivec.c \
	libavcodec/ppc/videodsp_ppc.c \
	libavcodec/ppc/vorbisdsp_altivec.c \
	libavcodec/ppc/vp3dsp_altivec.c \
	libavcodec/ppc/vp8dsp_altivec.c \
	libavcodec/x86/ac3dsp_init.c \
	libavcodec/x86/audiodsp_init.c \
	libavcodec/x86/blockdsp_init.c \
	libavcodec/x86/bswapdsp_init.c \
	libavcodec/x86/cavsdsp.c \
	libavcodec/x86/constants.c \
	libavcodec/x86/dcadsp_init.c \
	libavcodec/x86/dct_init.c \
	libavcodec/x86/dct-test.c \
	libavcodec/x86/dirac_dwt.c \
	libavcodec/x86/diracdsp_mmx.c \
	libavcodec/x86/dnxhdenc_init.c \
	libavcodec/x86/fdct.c \
	libavcodec/x86/fdctdsp_init.c \
	libavcodec/x86/fft_init.c \
	libavcodec/x86/flacdsp_init.c \
	libavcodec/x86/fmtconvert_init.c \
	libavcodec/x86/h263dsp_init.c \
	libavcodec/x86/h264_intrapred_init.c \
	libavcodec/x86/h264_qpel.c \
	libavcodec/x86/h264chroma_init.c \
	libavcodec/x86/h264dsp_init.c \
	libavcodec/x86/hevcdsp_init.c \
	libavcodec/x86/hpeldsp_init.c \
	libavcodec/x86/hpeldsp_rnd_template.c \
	libavcodec/x86/huffyuvdsp_init.c \
	libavcodec/x86/huffyuvencdsp_mmx.c \
	libavcodec/x86/idctdsp_init.c \
	libavcodec/x86/idctdsp_mmx.c \
	libavcodec/x86/lossless_audiodsp_init.c \
	libavcodec/x86/lossless_videodsp_init.c \
	libavcodec/x86/lpc.c \
	libavcodec/x86/me_cmp_init.c \
	libavcodec/x86/mlpdsp.c \
	libavcodec/x86/mpegaudiodsp.c \
	libavcodec/x86/mpegvideo.c \
	libavcodec/x86/mpegvideodsp.c \
	libavcodec/x86/mpegvideoenc.c \
	libavcodec/x86/mpegvideoenc_qns_template.c \
	libavcodec/x86/mpegvideoenc_template.c \
	libavcodec/x86/mpegvideoencdsp_init.c \
	libavcodec/x86/pixblockdsp_init.c \
	libavcodec/x86/pngdsp_init.c \
	libavcodec/x86/proresdsp_init.c \
	libavcodec/x86/qpeldsp_init.c \
	libavcodec/x86/rnd_template.c \
	libavcodec/x86/rv34dsp_init.c \
	libavcodec/x86/rv40dsp_init.c \
	libavcodec/x86/sbrdsp_init.c \
	libavcodec/x86/simple_idct.c \
	libavcodec/x86/snowdsp.c \
	libavcodec/x86/svq1enc_init.c \
	libavcodec/x86/ttadsp_init.c \
	libavcodec/x86/v210-init.c \
	libavcodec/x86/vc1dsp_init.c \
	libavcodec/x86/vc1dsp_mmx.c \
	libavcodec/x86/videodsp_init.c \
	libavcodec/x86/vorbisdsp_init.c \
	libavcodec/x86/vp3dsp_init.c \
	libavcodec/x86/vp6dsp_init.c \
	libavcodec/x86/vp8dsp_init.c \
	libavcodec/x86/vp9dsp_init.c \
	libavcodec/x86/w64xmmtest.c \
	libavcodec/x86/xvididct_init.c \
	libavcodec/x86/xvididct_mmx.c \
	libavcodec/x86/xvididct_sse2.c \
	libavcodec/012v.c \
	libavcodec/4xm.c \
	libavcodec/8bps.c \
	libavcodec/8svx.c \
	libavcodec/a64multienc.c \
	libavcodec/aac_ac3_parser.c \
	libavcodec/aac_adtstoasc_bsf.c \
	libavcodec/aac_parser.c \
	libavcodec/aac_tablegen.c \
	libavcodec/aacadtsdec.c \
	libavcodec/aaccoder.c \
	libavcodec/aacdec.c \
	libavcodec/aacenc.c \
	libavcodec/aacps.c \
	libavcodec/aacps_tablegen.c \
	libavcodec/aacpsdata.c \
	libavcodec/aacpsdsp.c \
	libavcodec/aacpsy.c \
	libavcodec/aacsbr.c \
	libavcodec/aacsbr_tablegen.c \
	libavcodec/aactab.c \
	libavcodec/aandcttab.c \
	libavcodec/aasc.c \
	libavcodec/ac3.c \
	libavcodec/ac3_parser.c \
	libavcodec/ac3dec.c \
	libavcodec/ac3dec_data.c \
	libavcodec/ac3dec_fixed.c \
	libavcodec/ac3dec_float.c \
	libavcodec/ac3dsp.c \
	libavcodec/ac3enc.c \
	libavcodec/ac3enc_fixed.c \
	libavcodec/ac3enc_float.c \
	libavcodec/ac3enc_opts_template.c \
	libavcodec/ac3enc_template.c \
	libavcodec/ac3tab.c \
	libavcodec/acelp_filters.c \
	libavcodec/acelp_pitch_delay.c \
	libavcodec/acelp_vectors.c \
	libavcodec/adpcm.c \
	libavcodec/adpcm_data.c \
	libavcodec/adpcmenc.c \
	libavcodec/adx.c \
	libavcodec/adx_parser.c \
	libavcodec/adxdec.c \
	libavcodec/adxenc.c \
	libavcodec/aic.c \
	libavcodec/alac.c \
	libavcodec/alac_data.c \
	libavcodec/alacenc.c \
	libavcodec/aliaspixdec.c \
	libavcodec/aliaspixenc.c \
	libavcodec/allcodecs.c \
	libavcodec/alsdec.c \
	libavcodec/amrnbdec.c \
	libavcodec/amrwbdec.c \
	libavcodec/anm.c \
	libavcodec/ansi.c \
	libavcodec/apedec.c \
	libavcodec/ass.c \
	libavcodec/ass_split.c \
	libavcodec/assdec.c \
	libavcodec/assenc.c \
	libavcodec/asv.c \
	libavcodec/asvdec.c \
	libavcodec/asvenc.c \
	libavcodec/atrac.c \
	libavcodec/atrac1.c \
	libavcodec/atrac3.c \
	libavcodec/atrac3plus.c \
	libavcodec/atrac3plusdec.c \
	libavcodec/atrac3plusdsp.c \
	libavcodec/audio_frame_queue.c \
	libavcodec/audioconvert.c \
	libavcodec/audiodsp.c \
	libavcodec/aura.c \
	libavcodec/avdct.c \
	libavcodec/avfft.c \
	libavcodec/avpacket.c \
	libavcodec/avpicture.c \
	libavcodec/avrndec.c \
	libavcodec/avs.c \
	libavcodec/avuidec.c \
	libavcodec/avuienc.c \
	libavcodec/bethsoftvideo.c \
	libavcodec/bfi.c \
	libavcodec/bgmc.c \
	libavcodec/bink.c \
	libavcodec/binkaudio.c \
	libavcodec/binkdsp.c \
	libavcodec/bintext.c \
	libavcodec/bit_depth_template.c \
	libavcodec/bitstream.c \
	libavcodec/bitstream_filter.c \
	libavcodec/blockdsp.c \
	libavcodec/bmp.c \
	libavcodec/bmp_parser.c \
	libavcodec/bmpenc.c \
	libavcodec/bmvaudio.c \
	libavcodec/bmvvideo.c \
	libavcodec/brenderpix.c \
	libavcodec/bswapdsp.c \
	libavcodec/c93.c \
	libavcodec/cabac.c \
	libavcodec/cabac_tablegen.c \
	libavcodec/cavs.c \
	libavcodec/cavs_parser.c \
	libavcodec/cavsdata.c \
	libavcodec/cavsdec.c \
	libavcodec/cavsdsp.c \
	libavcodec/cbrt_tablegen.c \
	libavcodec/cdgraphics.c \
	libavcodec/cdxl.c \
	libavcodec/celp_filters.c \
	libavcodec/celp_math.c \
	libavcodec/cga_data.c \
	libavcodec/chomp_bsf.c \
	libavcodec/cinepak.c \
	libavcodec/cinepakenc.c \

=== debian/changelog ===
vice (2.4.dfsg+2.4.20-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 May 2015 16:02:25 +0000

vice (2.4.dfsg+2.4.19-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Apr 2015 22:25:25 +0000

vice (2.4.dfsg+2.4.18-1) experimental; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 14 Mar 2015 11:53:36 +0000

vice (2.4.dfsg+2.4.15-1) experimental; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Jan 2015 19:56:01 +0000

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for vice
#
# First created Jan 2000 by Zed Pobre, with some reference to the work
# done by Giuliano Procida 1997-1999

PACKAGE=vice
DATADIRS=C64 C128 PET PLUS4 VIC20 CBM-II
install_program=install -p -o root -g root -m 755
make_directory=install -d -o root -g root -m 755

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

#CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
#CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
#LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
#CFLAGS		+= -fPIC $(HARDENING_CFLAGS)
#CPPFLAGS	+= $(HARDENING_CPPFLAGS)
#LDFLAGS		+= $(HARDENING_LDFLAGS)

unexport HOME

romtest:
	chmod 755 debian/genromlist
	debian/genromlist
	touch romtest

configure: romtest configure-stamp
configure-stamp:
#	aclocal
#	autoheader
#	automake
	autoconf
#	cd src/resid && aclocal && automake && autoconf
	dh_autotools-dev_updateconfig
	./configure \
	    --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man \
	    --enable-gnomeui --enable-ethernet \
	    --enable-fullscreen --enable-parsid --with-midas --without-xaw3d \
	    --enable-arch=no
	touch $@

build-arch: build
build-indep: build

build: build-stamp
#build-stamp: patch-stamp configure-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE) -C po/
	$(MAKE)
	touch $@

#clean: unpatch
clean:
	dh_testdir
	rm -f build-stamp configure-stamp romtest

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log
	find . -name Makefile -exec rm {} \;
#	find . -name Makefile.in -exec rm {} \;
#	cd src/resid && rm -f aclocal.m4 config.status config.log configure
	rm -rf src/resid/tmp src/resid/autom4te.cache
	rm -f src/translate_text.c.po.c src/translate.h \
          src/arch/amigaos/intl_text.c.po.c po/vice.pot
	rm -f po/*.gmo
	rm -f configure
	# upstream stupidity
	rm -f src/try.tmp
	rm -f src/gentranslate src/geninfocontrib
	dh_autotools-dev_restoreconfig
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/$(PACKAGE) install

# 	Remove the 0-byte placeholders
	cd debian/$(PACKAGE)/usr/lib/vice && find . -size 6c -exec rm {} \;

	rm -rf debian/$(PACKAGE)/usr/lib/vice/doc
	cp debian/icons/*.xpm debian/$(PACKAGE)/usr/share/pixmaps/
	dh_installdocs
	$(make_directory) debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html
	cp doc/html/*.html debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html
	ln -sf vice_toc.html debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html/index.html
	ln -sf ../../share/doc/vice/html debian/$(PACKAGE)/usr/lib/vice/doc
#	$(install_program) debian/vice-getroms debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/
	mkdir -p debian/$(PACKAGE)/usr/share/applications/ && \
	  cp -Rv debian/desktop/* debian/$(PACKAGE)/usr/share/applications/

	dh_installchangelogs -k ChangeLog

	rm -rf debian/$(PACKAGE)/usr/share/info
	dh_installinfo
#	rm -f debian/$(PACKAGE)/usr/info usr/share/info/dir.gz
	dh_installmenu

	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: build configure romtest binary binary-arch binary-indep clean

## vice 2.4.dfsg+2.4.25

=== src/lib/libffmpeg/libavresample/Makefile ===
NAME = avresample

HEADERS = avresample.h                                                  \
          version.h                                                     \

OBJS = audio_convert.o                                                  \
       audio_data.o                                                     \
       audio_mix.o                                                      \
       audio_mix_matrix.o                                               \
       dither.o                                                         \
       options.o                                                        \
       resample.o                                                       \
       utils.o                                                          \

# Windows resource file
SLIBOBJS-$(HAVE_GNU_WINDRES) += avresampleres.o

TESTPROGS = avresample

=== src/lib/libffmpeg/libavcodec/arm/Makefile ===
ARCH_HEADERS = mathops.h

OBJS                                   += arm/fmtconvert_init_arm.o

# subsystems
OBJS-$(CONFIG_AC3DSP)                  += arm/ac3dsp_init_arm.o         \
                                          arm/ac3dsp_arm.o
OBJS-$(CONFIG_AUDIODSP)                += arm/audiodsp_init_arm.o
OBJS-$(CONFIG_BLOCKDSP)                += arm/blockdsp_init_arm.o
OBJS-$(CONFIG_FFT)                     += arm/fft_init_arm.o            \
                                          arm/fft_fixed_init_arm.o
OBJS-$(CONFIG_H264CHROMA)              += arm/h264chroma_init_arm.o
OBJS-$(CONFIG_H264DSP)                 += arm/h264dsp_init_arm.o
OBJS-$(CONFIG_H264PRED)                += arm/h264pred_init_arm.o
OBJS-$(CONFIG_H264QPEL)                += arm/h264qpel_init_arm.o
OBJS-$(CONFIG_HPELDSP)                 += arm/hpeldsp_init_arm.o        \
                                          arm/hpeldsp_arm.o
OBJS-$(CONFIG_IDCTDSP)                 += arm/idctdsp_init_arm.o        \
                                          arm/idctdsp_arm.o             \
                                          arm/jrevdct_arm.o             \
                                          arm/simple_idct_arm.o
OBJS-$(CONFIG_LLAUDDSP)                += arm/lossless_audiodsp_init_arm.o
OBJS-$(CONFIG_ME_CMP)                  += arm/me_cmp_init_arm.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += arm/mpegaudiodsp_init_arm.o
OBJS-$(CONFIG_MPEGVIDEO)               += arm/mpegvideo_arm.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += arm/mpegvideoencdsp_init_arm.o
OBJS-$(CONFIG_NEON_CLOBBER_TEST)       += arm/neontest.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += arm/pixblockdsp_init_arm.o
OBJS-$(CONFIG_VIDEODSP)                += arm/videodsp_init_arm.o
OBJS-$(CONFIG_VP3DSP)                  += arm/vp3dsp_init_arm.o

# decoders/encoders
OBJS-$(CONFIG_AAC_DECODER)             += arm/aacpsdsp_init_arm.o       \
                                          arm/sbrdsp_init_arm.o
OBJS-$(CONFIG_DCA_DECODER)             += arm/dcadsp_init_arm.o
OBJS-$(CONFIG_FLAC_DECODER)            += arm/flacdsp_init_arm.o        \
                                          arm/flacdsp_arm.o
OBJS-$(CONFIG_FLAC_ENCODER)            += arm/flacdsp_init_arm.o
OBJS-$(CONFIG_MLP_DECODER)             += arm/mlpdsp_init_arm.o
OBJS-$(CONFIG_VC1_DECODER)             += arm/vc1dsp_init_arm.o
OBJS-$(CONFIG_VORBIS_DECODER)          += arm/vorbisdsp_init_arm.o
OBJS-$(CONFIG_VP6_DECODER)             += arm/vp6dsp_init_arm.o
OBJS-$(CONFIG_VP7_DECODER)             += arm/vp8dsp_init_arm.o
OBJS-$(CONFIG_VP8_DECODER)             += arm/vp8dsp_init_arm.o
OBJS-$(CONFIG_RV30_DECODER)            += arm/rv34dsp_init_arm.o
OBJS-$(CONFIG_RV40_DECODER)            += arm/rv34dsp_init_arm.o        \
                                          arm/rv40dsp_init_arm.o


# ARMv5 optimizations
# subsystems
ARMV5TE-OBJS-$(CONFIG_IDCTDSP)         += arm/idctdsp_init_armv5te.o    \
                                          arm/simple_idct_armv5te.o
ARMV5TE-OBJS-$(CONFIG_MPEGVIDEO)       += arm/mpegvideo_armv5te.o       \
                                          arm/mpegvideo_armv5te_s.o
ARMV5TE-OBJS-$(CONFIG_VIDEODSP)        += arm/videodsp_init_armv5te.o   \
                                          arm/videodsp_armv5te.o

# decoders/encoders
ARMV5TE-OBJS-$(CONFIG_MLP_DECODER)     += arm/mlpdsp_armv5te.o


# ARMv6 optimizations
# subsystems
ARMV6-OBJS-$(CONFIG_AC3DSP)            += arm/ac3dsp_armv6.o
ARMV6-OBJS-$(CONFIG_HPELDSP)           += arm/hpeldsp_init_armv6.o      \
                                          arm/hpeldsp_armv6.o
ARMV6-OBJS-$(CONFIG_IDCTDSP)           += arm/idctdsp_init_armv6.o      \
                                          arm/idctdsp_armv6.o           \
                                          arm/simple_idct_armv6.o
ARMV6-OBJS-$(CONFIG_ME_CMP)            += arm/me_cmp_armv6.o
ARMV6-OBJS-$(CONFIG_MPEGAUDIODSP)      += arm/mpegaudiodsp_fixed_armv6.o
ARMV6-OBJS-$(CONFIG_MPEGVIDEOENC)      += arm/mpegvideoencdsp_armv6.o
ARMV6-OBJS-$(CONFIG_PIXBLOCKDSP)       += arm/pixblockdsp_armv6.o

# decoders/encoders
ARMV6-OBJS-$(CONFIG_MLP_DECODER)       += arm/mlpdsp_armv6.o
ARMV6-OBJS-$(CONFIG_STARTCODE)         += arm/startcode_armv6.o
ARMV6-OBJS-$(CONFIG_VP7_DECODER)       += arm/vp8_armv6.o               \
                                          arm/vp8dsp_init_armv6.o       \
                                          arm/vp8dsp_armv6.o
ARMV6-OBJS-$(CONFIG_VP8_DECODER)       += arm/vp8_armv6.o               \
                                          arm/vp8dsp_init_armv6.o       \
                                          arm/vp8dsp_armv6.o


# VFP optimizations
VFP-OBJS                               += arm/fmtconvert_vfp.o

# subsystems
VFP-OBJS-$(CONFIG_FFT)                 += arm/fft_vfp.o
VFP-OBJS-$(CONFIG_MDCT)                += arm/mdct_vfp.o
VFP-OBJS-$(HAVE_ARMV6)                 += arm/fmtconvert_vfp_armv6.o

# decoders/encoders
VFP-OBJS-$(CONFIG_DCA_DECODER)         += arm/dcadsp_vfp.o              \
                                          arm/synth_filter_vfp.o


# NEON optimizations
NEON-OBJS                              += arm/fmtconvert_neon.o

# subsystems
NEON-OBJS-$(CONFIG_AC3DSP)             += arm/ac3dsp_neon.o
NEON-OBJS-$(CONFIG_AUDIODSP)           += arm/audiodsp_init_neon.o      \
                                          arm/audiodsp_neon.o           \
                                          arm/int_neon.o
NEON-OBJS-$(CONFIG_BLOCKDSP)           += arm/blockdsp_init_neon.o      \
                                          arm/blockdsp_neon.o
NEON-OBJS-$(CONFIG_FFT)                += arm/fft_neon.o                \
                                          arm/fft_fixed_neon.o
NEON-OBJS-$(CONFIG_H264CHROMA)         += arm/h264cmc_neon.o
NEON-OBJS-$(CONFIG_H264DSP)            += arm/h264dsp_neon.o            \
                                          arm/h264idct_neon.o
NEON-OBJS-$(CONFIG_H264PRED)           += arm/h264pred_neon.o
NEON-OBJS-$(CONFIG_H264QPEL)           += arm/h264qpel_neon.o           \
                                          arm/hpeldsp_neon.o
NEON-OBJS-$(CONFIG_HPELDSP)            += arm/hpeldsp_init_neon.o       \
                                          arm/hpeldsp_neon.o
NEON-OBJS-$(CONFIG_IDCTDSP)            += arm/idctdsp_init_neon.o       \
                                          arm/idctdsp_neon.o            \
                                          arm/simple_idct_neon.o
NEON-OBJS-$(CONFIG_MDCT)               += arm/mdct_neon.o               \
                                          arm/mdct_fixed_neon.o
NEON-OBJS-$(CONFIG_MPEGVIDEO)          += arm/mpegvideo_neon.o
NEON-OBJS-$(CONFIG_RDFT)               += arm/rdft_neon.o
NEON-OBJS-$(CONFIG_VP3DSP)             += arm/vp3dsp_neon.o

# decoders/encoders
NEON-OBJS-$(CONFIG_AAC_DECODER)        += arm/aacpsdsp_neon.o           \
                                          arm/sbrdsp_neon.o
NEON-OBJS-$(CONFIG_LLAUDDSP)           += arm/lossless_audiodsp_neon.o
NEON-OBJS-$(CONFIG_DCA_DECODER)        += arm/dcadsp_neon.o             \
                                          arm/synth_filter_neon.o
NEON-OBJS-$(CONFIG_RV30_DECODER)       += arm/rv34dsp_neon.o
NEON-OBJS-$(CONFIG_RV40_DECODER)       += arm/rv34dsp_neon.o            \
                                          arm/rv40dsp_neon.o
NEON-OBJS-$(CONFIG_VC1_DECODER)        += arm/vc1dsp_init_neon.o        \
                                          arm/vc1dsp_neon.o
NEON-OBJS-$(CONFIG_VORBIS_DECODER)     += arm/vorbisdsp_neon.o
NEON-OBJS-$(CONFIG_VP6_DECODER)        += arm/vp6dsp_neon.o
NEON-OBJS-$(CONFIG_VP7_DECODER)        += arm/vp8dsp_init_neon.o        \
                                          arm/vp8dsp_neon.o
NEON-OBJS-$(CONFIG_VP8_DECODER)        += arm/vp8dsp_init_neon.o        \
                                          arm/vp8dsp_neon.o

=== debian/changelog ===
vice (2.4.dfsg+2.4.25-2) unstable; urgency=low

  * Try to prevent FTBFS due to build race (closes: #725629).
  * Remove $HOME variable to fix FTBFS on Ubuntu (closes: #817125).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Mar 2016 19:35:18 +0100

vice (2.4.dfsg+2.4.25-1) unstable; urgency=low

  * New upstream release.
  * Add missing debugcart.h from upstream Subversion tree.
  * Make watch file more general.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Feb 2016 17:52:58 +0100

vice (2.4.dfsg+2.4.24-2) unstable; urgency=low

  * Prevent overwrite of user ROM files.
  * Only install documentation to Debian doc directory.
  * Remove own menu file in favor to desktop file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 31 Jan 2016 07:34:06 +0100

vice (2.4.dfsg+2.4.24-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Jan 2016 20:50:34 +0100

vice (2.4.dfsg+2.4.21-1) unstable; urgency=low

  * New upstream release.
  * Use autogen.sh to generate all autotools files.
  * Add missing build dependencies for autogen.sh run.
  * Build with vte2.91 (closes: #803460).
  * Update kfreebsd_no_machine_cpufunc.h.patch and revert_upstream_lib64.patch
    for configure.proto .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Nov 2015 03:59:15 +0100

=== debian/control ===
Source: vice
Build-Depends: debhelper (>= 8), dh-autoreconf, dpkg-dev (>= 1.16.1~), autoconf, automake, autotools-dev, bison++ | bison, flex, texinfo, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, xfonts-utils
Section: contrib/otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Homepage: http://vice-emu.sourceforge.net/
Standards-Version: 3.9.6

Package: vice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Versatile Commodore Emulator
 VICE emulates well the hardware of the Commodore Business Machines of
 the pre-Amiga era. Supported are the various Pets, the VIC-20, the
 Commodore 64, the Commodore 128, the CBM-II series, and the PLUS/4.
 .
 Some alternate keywords for the above: VIC20, C64, C=64, C64 DTV, C128,
 C=128, CBM-500, CBM-600, CBM-700, PLUS4 .
 .
 This package does not contain the various ROM images needed to
 actually use the emulators; they are available separately from other
 locations (see the README.ROMs file).  A corporation in the
 Netherlands called Tulip holds the copyrights to the ROM images, and
 redistribution is not permitted, but VICE itself is unencumbered.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport HOME

PKGDIR:=$(CURDIR)/debian/vice

override_dh_auto_configure:
	./configure \
		--prefix=/usr --infodir=/usr/share/info \
		--mandir=/usr/share/man \
		--enable-gnomeui3 --enable-ethernet \
		--enable-fullscreen --enable-parsid --with-midas \
		--without-xaw3d \
		--enable-arch=no

override_dh_auto_build:
	$(MAKE) intl2po -C po/
	$(MAKE) trans-update -C po/
	$(MAKE) -C po/
	$(MAKE)
	dh_auto_build

override_dh_install:
	dh_install
	# remove extra licence file
	rm -f $(PKGDIR)/usr/lib/vice/doc/COPYING
	rm -rf $(PKGDIR)/usr/share/info/
	# remove ROM 'dummy' placeholders
	find $(PKGDIR)/usr/lib/vice -size 6c -exec rm {} \;
	# remove duplicated documentation
	rm -rf $(PKGDIR)/usr/lib/vice/doc/
	ln -sf vice_toc.html $(PKGDIR)/usr/share/doc/vice/html/index.html
	ln -sf ../../share/doc/vice/html $(PKGDIR)/usr/lib/vice/doc

%:
	dh $@ --with autoreconf

.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_install

## vice 2.4.dfsg+2.4.27

=== debian/changelog ===
vice (2.4.dfsg+2.4.27-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Apr 2016 17:28:38 +0000

vice (2.4.dfsg+2.4.26-2) unstable; urgency=medium

  * Add yasm to build dependencies.
  * Update Standards-Version to 3.9.8 .

  [ Andreas Beckmann <anbe@debian.org> ]
  * Drop try-to-fix-possible-race-condition.patch .
  * Minimize override_dh_auto_build.
  * Fix the spurious dependency of the POTFILES target on intl2po.
  * Fix debian/rules build.
  * Add fix-timestamp-race.patch to ensure POTFILES is newer than Makefile
    (closes: #725629).

  [ Steven Chamberlain <steven@pyro.eu.org> ]
  * Delete configure{,.ac} and generate the latter from configure.proto .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Apr 2016 14:18:48 +0000

vice (2.4.dfsg+2.4.26-1) unstable; urgency=low

  * New upstream release.
  * Don't look for The Final Ethernet emulation support.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 23 Mar 2016 19:55:43 +0000

## vice 2.4.dfsg+2.4.28

=== debian/changelog ===
vice (2.4.dfsg+2.4.28-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:11:20 +0000

vice (2.4.dfsg+2.4.28-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Jun 2016 13:11:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: vice
-Build-Depends: debhelper (>= 8), dh-autoreconf, dpkg-dev (>= 1.16.1~), autoconf, automake, autotools-dev, bison++ | bison, flex, texinfo, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, xfonts-utils
+Build-Depends: debhelper (>= 8), dh-autoreconf, dpkg-dev (>= 1.16.1~), autoconf, automake, autotools-dev, bison++ | bison, flex, texinfo, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, libxaw7-dev, xfonts-utils, yasm (>= 1.2)
 Section: contrib/otherosfs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Homepage: http://vice-emu.sourceforge.net/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: vice
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,13 @@
 	./configure \
 		--prefix=/usr --infodir=/usr/share/info \
 		--mandir=/usr/share/man \
-		--enable-gnomeui3 --enable-ethernet \
+		--enable-gnomeui3 \
 		--enable-fullscreen --enable-parsid --with-midas \
 		--without-xaw3d \
 		--enable-arch=no
 
 override_dh_auto_build:
-	$(MAKE) intl2po -C po/
 	$(MAKE) trans-update -C po/
-	$(MAKE) -C po/
-	$(MAKE)
 	dh_auto_build
 
 override_dh_install:
@@ -36,6 +33,16 @@
 	ln -sf vice_toc.html $(PKGDIR)/usr/share/doc/vice/html/index.html
 	ln -sf ../../share/doc/vice/html $(PKGDIR)/usr/lib/vice/doc
 
+ .PHONY: build
+ build:
+	# These files in the original source are not used
+	rm -f configure configure.ac
+
+	sed "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g" \
+		< configure.proto > configure.ac
+
+	dh $@ --with autoreconf
+
 %:
 	dh $@ --with autoreconf

## vice 3.0.0.dfsg

=== debian/changelog ===
vice (3.0.0.dfsg-2) unstable; urgency=low

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Dec 2016 10:05:21 +0000

vice (3.0.0.dfsg-1) experimental; urgency=low

  * New major upstream release.
  * Specify compilation options in rules.
  * Add MP3 encoding support.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Dec 2016 09:25:34 +0000

vice (2.4.dfsg+2.4.33-2) unstable; urgency=low

  * Don't issue 'make trans-update' as it's not needed and cause FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 10 Dec 2016 19:16:22 +0000

vice (2.4.dfsg+2.4.33-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 10 Dec 2016 16:41:51 +0000

vice (2.4.dfsg+2.4.32-1) unstable; urgency=low

  * New upstream release.
  * Disable ParSID for now.
  * Update debhelper level to 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Nov 2016 18:22:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: vice
-Build-Depends: debhelper (>= 8), dh-autoreconf, dpkg-dev (>= 1.16.1~), autoconf, automake, autotools-dev, bison++ | bison, flex, texinfo, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, libxaw7-dev, xfonts-utils, yasm (>= 1.2)
+Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.16.1~), autoconf, automake, autotools-dev, bison++ | bison, flex, texinfo, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libmp3lame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, libxaw7-dev, xfonts-utils, yasm (>= 1.2)
 Section: contrib/otherosfs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,17 @@
 		--prefix=/usr --infodir=/usr/share/info \
 		--mandir=/usr/share/man \
 		--enable-gnomeui3 \
-		--enable-fullscreen --enable-parsid --with-midas \
+		--enable-fullscreen --disable-parsid --with-midas \
+		--with-uithreads \
 		--without-xaw3d \
-		--enable-arch=no
-
-override_dh_auto_build:
-	$(MAKE) trans-update -C po/
-	dh_auto_build
+		--enable-arch=no \
+		--enable-fullscreen \
+		--enable-vte \
+		--with-jpeg \
+		--enable-lame \
+		--with-oss \
+		--with-alsa \
+		--with-pulse
 
 override_dh_install:
 	dh_install
@@ -46,4 +50,4 @@
 %:
 	dh $@ --with autoreconf
 
-.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_install
+.PHONY: override_dh_auto_configure override_dh_install

## vice 3.1.0.dfsg

=== debian/changelog ===
vice (3.1.0.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Disable not working uithreads.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 20 Apr 2017 18:49:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 		--mandir=/usr/share/man \
 		--enable-gnomeui3 \
 		--enable-fullscreen --disable-parsid --with-midas \
-		--with-uithreads \
+		--without-uithreads \
 		--without-xaw3d \
 		--enable-arch=no \
 		--enable-fullscreen \
